登録Profileの作成
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
新しい enrollmentProfile オブジェクトを作成 します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementServiceConfig.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 要求
POST /deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、enrollmentProfile オブジェクトの JSON 表記を指定します。
次の表に、enrollmentProfile を作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | オブジェクトの GUID |
| displayName | String | プロファイルの名前 |
| description | String | プロファイルの説明 |
| requiresUserAuthentication | Boolean | プロファイルでユーザー認証が必要かどうかを示します。 |
| configurationEndpointUrl | String | 登録に使用する構成エンドポイントの URL |
| enableAuthenticationViaCompanyPortal | Boolean | Apple セットアップ アシスタントで認証を行う代わりに、認証を行ポータル サイト。 |
| requireCompanyPortalOnSetupAssistantEnrolledDevices | Boolean | セットアップ アシスタントがポータル サイトデバイスで必要なデバイスの設定が必要な場合を示します。 |
応答
成功した場合、このメソッドは応答コードと、応答本文 201 Created の enrollmentProfile オブジェクトを返します。
例
要求
以下は、要求の例です。
POST https://graph.microsoft.com/beta/deviceManagement/depOnboardingSettings/{depOnboardingSettingId}/enrollmentProfiles
Content-type: application/json
Content-length: 370
{
"@odata.type": "#microsoft.graph.enrollmentProfile",
"displayName": "Display Name value",
"description": "Description value",
"requiresUserAuthentication": true,
"configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
"enableAuthenticationViaCompanyPortal": true,
"requireCompanyPortalOnSetupAssistantEnrolledDevices": true
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 419
{
"@odata.type": "#microsoft.graph.enrollmentProfile",
"id": "012d8d5e-8d5e-012d-5e8d-2d015e8d2d01",
"displayName": "Display Name value",
"description": "Description value",
"requiresUserAuthentication": true,
"configurationEndpointUrl": "https://example.com/configurationEndpointUrl/",
"enableAuthenticationViaCompanyPortal": true,
"requireCompanyPortalOnSetupAssistantEnrolledDevices": true
}
フィードバック
フィードバックの送信と表示